Bug 3241 - Specifying multiple (node type, count, ppn)s thru WS GRAM
: Specifying multiple (node type, count, ppn)s thru WS GRAM
Status: RESOLVED FIXED
: GRAM
wsrf managed job factory service
: development
: All All
: P3 enhancement
: 4.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-28 16:14 by
Modified: 2005-09-23 10:51 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-28 16:14:41
The TeraGrid and Globus projects jointly customized the GT 2.4.3 PBS JobManager
on the TeraGrid providing new capability for selecting multiple node types and node
counts, node names, and processes per node for each type/name, making it
possible for GRAM jobs to specify node property or name based requirements. 
This enhancement is required because many TeraGrid resources are heterogenous.

This is a request that this capability be a standard feature in WS GRAM 4.2.
------- Comment #1 From 2005-07-11 17:02:28 -------
JP:

Can you provide the details for the syntax and behavior for each of the new RSL parameters that 
enabled this functionality for TG.  We're reviewing the RSL semanitics for jobtype, count, hostcount, and 
how they a implemented in each scheduler adapter - bug 3384.  I think this enhancement will effect the 
some of those RSL parameters too.

Thanks,
-Stu
------- Comment #2 From 2005-07-12 12:02:58 -------
That TeraGrid e-mail you found describes it. Basically, ability to specify:

a) node names with the number of processes for each of the named nodes
OR
b) node properties with the number of nodes of each property type and the
number of processes per node of each property type.

The semantics doesn't matter as much, you can use separate keywords for host_names,
host_types, host_counts, and processes per node, OR a couple of keywords with that
combines the information, like in:

host_types=<prop1>:<count1>:<procs1>, <prop2>:<count2>:<procs2> ...
host_names=<name1>:<procs1>, <name2>:<procs2> ...
------- Comment #3 From 2005-09-23 10:51:22 -------
I'm considering this enhacement "fixed" since this part of the extensions
handling campaign is finished (see bug #3766).